#-----------------------------------------------------------------------------
%{?!dist:	%define		dist	.ok}
%bcond		test		0
%global		debug_package	%{nil}
%define		__python	/usr/bin/python3
%define		sname		%(echo %{name} | cut -d '-' -f2)
#-----------------------------------------------------------------------------
Name		:	python-nose
Version		:	1.3.7
Release		:	14.4.0.0%{?dist}
Summary		:	nose extends the test loading and running features of unittest,
Packager	:	Osukiss Project	<build-ok@osukiss.org>

License		:	ASL 2.0
URL		:	https://pypi.org/project/genty/#files

Source0		:	%{sname}-%{version}.tar.gz

#-----------------------------------------------------------------------------
BuildRequires	:	python3
BuildRequires	:	python-build
BuildRequires	:	python-flit-core
BuildRequires	:	python-pep517
BuildRequires	:	python-installer

%if %{with test}
%endif

Requires	:	python-pyproject-hooks

Obsoletes	:	python3-%{sname}	<= %{version}

BuildArch	:	noarch
#-----------------------------------------------------------------------------
%description
nose extends the test loading and running features of
unittest, making it easier to write, find and run tests.

By default, nose will run tests in files or directories
under the current working directory whose names include
“test” or “Test” at a word boundary (like “test_this” or
“functional_test” or “TestClass” but not “libtest”).
Test output is similar to that of unittest, but also
includes captured stdout output from failing tests,
for easy print-style debugging.

These features, and many more, are customizable through
the use of plugins. Plugins included with nose provide
support for doctest, code coverage and profiling,
flexible attribute-based test selection, output
capture and more.
 

#-----------------------------------------------------------------------------
%files			
%defattr(-,root,root,-)
%doc README.txt
%{_bindir}/%{sname}tests
%{python3_sitelib}/%{sname}/*.py
%{python3_sitelib}/%{sname}/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/usage.txt
%{python3_sitelib}/%{sname}/ext/*.py
%{python3_sitelib}/%{sname}/ext/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/plugins/*.py
%{python3_sitelib}/%{sname}/plugins/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/tools/*.py
%{python3_sitelib}/%{sname}/tools/__pycache__/*.pyc
%{python3_sitelib}/%{sname}/sphinx/*.py
%{python3_sitelib}/%{sname}/sphinx/__pycache__/*.pyc
%{python3_sitelib}/%{sname}-%{version}.dist-info/
%{_mandir}/man1/%{sname}tests.1.gz

#=============================================================================
%prep
%setup -q -n %{sname}-%{version}

sed -i							\
  -e"s:man/man1:share/man/man1:"			\
  setup.py

#-----------------------------------------------------------------------------
#building application
%build

%{__python}						\
	-m build					\
	--wheel						\
	--skip-dependency-check				\
	--no-isolation					\

#-----------------------------------------------------------------------------
%clean
%{__rm} -rf %{buildroot}

#-----------------------------------------------------------------------------
%check
%if %{with test}
export PYTHONPATH=src
pytest -vvvvv
%endif

#-----------------------------------------------------------------------------
#installing program
%install
%{__rm} -rf %{buildroot}

%{__python}						\
	-m installer					\
	--destdir=%{buildroot}				\
	dist/*.whl					\

#-----------------------------------------------------------------------------
%changelog
